﻿@model RailwayCashBox.Models.RegisterViewModel
@{
    ViewBag.Title = "Зарегистрироваться";
}

<h2>@ViewBag.Title</h2>

@using (Html.BeginForm("Register", "Account", FormMethod.Post, new {@class = "form-horizontal", role = "form"}))
{
    @Html.AntiForgeryToken()
    <hr/>
    @Html.ValidationSummary("", new {@class = "text-danger"})
    <div class="form-group">
        <p class="col-md-3 control-label">Имя пользователя</p>
        <div class="col-md-7">
            @Html.TextBoxFor(m => m.UserName, new {@class = "form-control"})
        </div>
    </div>
    <div class="form-group">
        <p class="col-md-3 control-label">Пароль</p>
        <div class="col-md-7">
            @Html.PasswordFor(m => m.Password, new {@class = "form-control"})
        </div>
    </div>
    <div class="form-group">
        <p class="col-md-3 control-label">Повторите пароль</p>
        <div class="col-md-7">
            @Html.PasswordFor(m => m.ConfirmPassword, new {@class = "form-control"})
        </div>
    </div>
    <div class="form-group">
        <div class="col-md-offset-3 col-md-7">
            <input type="submit" class="btn btn-default" value="Зарегистрироваться"/>
        </div>
    </div>
}

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}